<?php

/*
 * The MIT License
 *
 * Copyright 2012 Massive Dynamics.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

namespace Applications\Core;

/**
 * The 'core' application, which must be enabled. Forever.
 *
 * @author Cruz Bishop
 * @since 0.0.0.2
 */
class CoreApplication extends \Sources\Components\Framework\Applications\Application {
    
    /**
     * Gets the core application's name
     * 
     * @return string The name
     * @since 0.0.0.2
     */
    public function getName() {
        return "Core";
    }
    
    /**
     * Gets the core application's description
     * 
     * @return string The description
     * @since 0.0.0.2
     */
    public function getDescription() {
        return "The core application for OpenCMS, including all required modules/features";
    }
    
    /**
     * Gets the core application's file version
     * 
     * @return \Sources\Libraries\Version\Version The version
     * @since 0.0.0.2
     */
    public function getFileVersion() {
        return new \Sources\Libraries\Version\Version(0, 0, 0, 2, \Sources\Libraries\Version\VersionType::getStableType(), "STRANGE");
    }
    
}

?>
