<?php

/*
 * The MIT License
 *
 * Copyright 2012 Massive Dynamics.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

//Force exceptions and errors when in development
ini_set("display_errors", true);

//Start by autoloading information

//Set up a list of accepted file extensions
spl_autoload_extensions(".php");

/**
 * Loads a class
 * 
 * @param string $className The class name to load
 * @return boolean False if the file could not be loaded
 * @since 0.0.0.1
 */
function loadClass($className) {
    
    //Get the class name and change it to a file name
    $fileName = ((str_replace('\\', DIRECTORY_SEPARATOR, $className) . ".php"));
    
    //See if the file exists
    if (file_exists($fileName)) {
        //Include the file name
        include $fileName;
        //And return true
        return true;
    } else return false;
}

//Register the autoload function
spl_autoload_register("loadClass");

//Load the application register
Sources\Components\Framework\Applications\ApplicationRegister::load();

//TODO Call other methods here 

echo "<br /><br />";

///This is currently displayed at the bottom of all pages, but will be moved later
printf("Powered by OpenCMS (Version %s)", (string) Sources\Components\Framework\Applications\ApplicationRegister::getApplication()->getFileVersion());

?>
